{% extends 'inventario/base.html' %}
{% load static %}

{% block titulo %}Inicio{% endblock %}

{% block principal %}
    <h1 class="titulo">Productos</h1>
    <br>
    <div class="row mb-3">
        <div class="col-3">
            <ul class="list-group navbar-fixed-left" style="width:14rem;">
                <li class="d-flex m-2">
                    <strong class="text-primary">Categorías</strong>
                </li>
                <a href="{% url 'inicio' %}" class="text-decoration-none">
                    <li class="list-group-item d-flex justify-content-between align-items-center">
                        Todas
                        <span class="badge bg-primary rounded-pill">{{ cantidad_productos }}</span>
                    </li>
                </a>
                {% for c in categorias %}
                    <a href="{% url 'inicio' %}?cat={{ c.id }}" class="text-decoration-none">
                        <li class="list-group-item d-flex justify-content-between align-items-center">
                            {{ c.nombre_cat }}
                            <span class="badge bg-primary rounded-pill">
                                {% for x in cantidades_por_categoria %}
                                    {% if c.id == x.id %}
                                        {{ x.cantidad }}
                                    {% endif %}
                                {% endfor %}
                            </span>
                        </li>
                    </a>
                {% endfor %}
            </ul>
        </div>
        <div class="col-8 p-2 text-center">
            <div class="row row-cols-1 row-cols-md-3 g-4">
                {% if data %}
                    {% for p in data %}
                    <div class="col">
                        <div class="card h-100">
                            <img src="{{ p.foto.url }}" width="5%" class="card-img-top" alt="...">
                            <div class="card-body">
                                <h5 class="card-title mb-3">{{ p.nombre }}</h5>
                                <figcaption class="blockquote-footer">Categoría: <cite title="Source Title">{{ p.categorias }}</cite>
                                </figcaption>
                                <p class="card-text">Precio: <strong>{{ p.precio }}</strong></p>
                                {% if p.stock > 0 and p.stock < 5 %}
                                    <strong class="text-danger">Últimas {{ p.stock }} unidades</strong>
                                {% endif %}
                            </div>
                            <div class="card-footer">
                                {% if p.stock == 0 %}
                                    <strong class="text-danger">Producto Agotado</strong>
                                {% else %}
                                    <input type="hidden" value="{{ p.id }}" name="id_producto" id="id_producto_{{ p.id }}">
                                    <input type="number" size="3" value="1" min="1" max="{{ p.stock }}" name="cantidad" id="cantidad_{{ p.id }}">
                                    <button onclick="add_carrito(`{% url 'carrito_add' %}`, {{ p.id }})" type="button" class="btn btn-info">Agregar Carrito</button>

                                    <small class="text-body-secondary"></small>
                                {% endif %}
                            </div>
                        </div>
                    </div>
                    {% endfor %}
                {% else %}
                    <div class="col">
                        No hay productos en esta categoría.
                    </div>
                {% endif %}
            </div>
        </div>
    </div>
{% endblock %}
